using System.Threading.Tasks;

namespace Mindforge.API.Providers
{
    public interface ILlmApiProvider
    {
        Task<string> SendRequestAsync(string systemPrompt, string userPrompt, string model);
        Task<string> SendRequestBatchAsync(string systemPrompt, string userPrompt, string model);
    }
}
